Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

Error with configure: libtool.m4

Help
SharpZQ
2012-10-15
2013-04-23
  • SharpZQ
    SharpZQ
    2012-10-15

    Hi there,

    I am trying to compile this from source, and having issues.  The last update seems to be from 2009, so I'm not sure if its too late to ask for help or not.

    I am running Xubuntu 11.10, and I have successfully compiled other games which required SDL and SDL_image.

    Here is the error message from ./configure:

    [b]$ ./configure [/b]
    ...
    ...
    ...
    checking for correct ltmain.sh version... grep: character class syntax is [[:space:]], not [:space:]
    no
    *** Gentoo sanity check failed! ***
    *** libtool.m4 and ltmain.sh have a version mismatch! ***
    *** (libtool.m4 = 1.5.18, ltmain.sh = ) ***
    Please run:
      libtoolize --copy --force
    if appropriate, please contact the maintainer of this
    package (or your distribution) for help.
    

    So, not being sure what the problem is, I ran it:

    [b]$ libtoolize --copy --force[/b]
    libtoolize: putting auxiliary files in `.'.
    libtoolize: copying file `./ltmain.sh'
    libtoolize: You should add the contents of the following files to `aclocal.m4':
    libtoolize:   `/usr/share/aclocal/libtool.m4'
    libtoolize:   `/usr/share/aclocal/ltoptions.m4'
    libtoolize:   `/usr/share/aclocal/ltversion.m4'
    libtoolize:   `/usr/share/aclocal/ltsugar.m4'
    libtoolize:   `/usr/share/aclocal/lt~obsolete.m4'
    libtoolize: Consider adding `AC_CONFIG_MACRO_DIR([m4])' to configure.in and
    libtoolize: rerunning libtoolize, to keep the correct libtool macros in-tree.
    libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
    

    Anyway, if there is a way to make it work, that would be great.  Otherwise, for anyone else having the same problem, please respond so I know it isn't my own mistake.